from buildbot.plugins import schedulers, steps, util, worker

factory = util.BuildFactory()
factory.addStep(steps.GitLab(repourl='git@gitlab.com:tkla/periflash.git',
                             branch=util.Property('branch', default='master')))

periflash_worker = worker.DockerLatentWorker('periflash-worker', 'pass',
                                       docker_host='tcp://192.168.178.39:2375',
                                       image='buildbot-cpp-worker')


builder = util.BuilderConfig(name='periflash',
                             workernames=['periflash-worker'],
                             factory=factory)

scheduler = schedulers.SingleBranchScheduler(name="periflash",
                                             change_filter=util.ChangeFilter(project='periflash', branch=util.Property('branch', default='master')),
                                             treeStableTimer=None, builderNames=["periflash"])

def append(c):
    c['workers'].append(periflash_worker)
    c['builders'].append(builder)
    c['schedulers'].append(scheduler)

    return c
